Solar Mini 4
Solar Mini 4 is Upstage's compact, cost-efficient language model, a 35B-parameter mixture-of-experts with 3B active parameters and a 524,288-token context window. Upstage Compact 35B MoE, with a 512K token context window.
/v1/ai/chatOverview
Solar Mini 4 is Upstage's compact, cost-efficient language model, a 35B-parameter mixture-of-experts with 3B active parameters and a 524,288-token context window. Upstage Compact 35B MoE, with a 512K token context window.
| Property | Value |
|---|---|
| Model ID | upstage/solar-mini4 |
| Context Window | 524,288 tokens |
| Max Output | 131,072 tokens |
| Input Price | $0.07 / 1M tokens |
| Output Price | $0.30 / 1M tokens |
Usage
const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
model: 'upstage/solar-mini4',
messages: [{ role: 'user', content: 'Route this email to sales, support or billing and give a one-line reason.' }],
}),
});
const { data } = await res.json();
console.log(data.message.content);curl -X POST https://api.yepapi.com/v1/ai/chat \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model": "upstage/solar-mini4", "messages": [{"role": "user", "content": "Route this email to sales, support or billing and give a one-line reason."}]}'Request Body
| Parameter | Type | Required | Description | Default |
|---|---|---|---|---|
model | string | Yes | Model ID (e.g. upstage/solar-mini4) | — |
messages | Message[] | Yes | Array of { role, content } objects | — |
maxTokens | number | No | Maximum tokens in the response | Model default |
temperature | number | No | Sampling temperature (0.0–2.0) | 1.0 |
topP | number | No | Nucleus sampling threshold | 1.0 |
frequencyPenalty | number | No | Penalize repeated tokens | 0 |
presencePenalty | number | No | Penalize tokens already present | 0 |
stream | boolean | No | Enable SSE streaming | false |
All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.
Response
{
"ok": true,
"data": {
"model": "upstage/solar-mini4",
"message": {
"role": "assistant",
"content": "Billing \u2014 the sender asks why they were charged twice this month."
},
"usage": {
"promptTokens": 16,
"completionTokens": 245,
"totalTokens": 261
}
}
}Streaming
Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:
data: {"delta":{"content":"Use"},"model":"upstage/solar-mini4","index":0}
data: [DONE]We handle auth, billing, and response normalization — you just send messages.
Solar Pro 4
Solar Pro 4 is Upstage's cost-efficient large language model with a 524,288-token context window, built for long-horizon tasks and agentic workflows with strong capabilities in office productivity and document-intensive work. Upstage Cost-Efficient Long-Horizon LLM, with a 512K token context window.
Hy4 preview
Hy4 preview is a mixture-of-experts model from Tencent with 49B active parameters out of 770B total, designed for coding agents, complex tool-use workflows and productivity tasks. Tencent Hunyuan 4 Preview Coding Agent MoE, with a 1M token context window.